lparameters tdStart, ;
	tdEnd, ;
	tcTitle, ;
	tcDescription, ;
	tcLocation, ;
	tcFile

* Get the time zone offset for UTC.

loTimeZone       = GetTimeZoneInfo()
lnTimeZoneOffset = loTimeZone.TimeZoneOffset

* Generate an ICS file.

_cliptext = ttoc(tdStart + lnTimeZoneOffset, 3) + 'Z'

lcStart = chrtran(ttoc(tdStart + lnTimeZoneOffset, 3), '-:', '') + 'Z'
lcEnd   = chrtran(ttoc(tdEnd   + lnTimeZoneOffset, 3), '-:', '') + 'Z'
lcID    = sys(2015)
text to lcContent noshow textmerge pretext 2
BEGIN:VCALENDAR
VERSION:2.0
BEGIN:VEVENT
DTSTART:<<lcStart>>
DTEND:<<lcEnd>>
SUMMARY:<<tcTitle>>
DESCRIPTION:<<tcDescription>>
LOCATION:<<tcLocation>>
UID:<<lcID>>
PRIORITY:3
END:VEVENT
END:VCALENDAR
	
endtext
strtofile(lcContent, tcFile)
